### Hierarchy

- Areas

## Index

### Properties

- categories
- color
- id
- label
- labelStyle
- location
- opacity
- selectable
- shortDesc
- svgClassName
- svgStyle

## Properties

### categories

categories: string[]

An array of category strings corresponding to this area. This allows highlighting and filtering of areas.

### color

color: string

The area color.

### id

id: any

The identifier for this area. The id should be set by the application if the DataProvider is not being used. The row key will be used as id in the case.

### label

label: string

Text used for the area's label.

### labelStyle

labelStyle: object

The CSS style defining the label style for this area. The following style properties are supported: color, cursor, fontFamily, fontSize, fontStyle, fontWeight, textDecoration.

### location

location: string

An identifier corresponding to a Feature provided in the mapProvider geo object that this area is associated with.

### opacity

opacity: number

The area opacity.

### selectable

selectable: string

Specifies whether or not the area will be selectable.

### shortDesc

shortDesc: string

The description of this element. Will be lazily created if a function is used. This is used for accessibility and also for customizing the tooltip text.

### svgClassName

svgClassName: string

The CSS style class defining the style of the area.

### svgStyle

svgStyle: object

The CSS style object defining the style of the area. Only SVG CSS style properties are supported.

Generated using TypeDoc